
{%for post in site.posts%}
  {% if post.id == page.id %}
    {% assign pos = forloop.index0 %}
  {% endif %}
{% endfor %}
{% assign prev = pos | minus: 1 %}

<div class=flexcontainer>
<div class="flexitem" style="max-width:240px;">
  <h5>article: #{{prev}}</h5>
  <a href="{{page.base}}{{site.posts[prev].url | remove_first: '/'}}">
  <img src="{{gwurl}}/ipfs/{{site.data.ipfs.qmroot}}/assets/{{site.posts[prev].preview-img}}" title="#{{prev}} {{site.posts[prev].title}}" alt="thumbnail{{prev}}"></a>
  <p><a href="{{page.base}}{{site.posts[prev].url | remove_first: '/'}}">
  {{site.posts[prev].title | truncate: 42 }}</a>
  <br>~ by <a href="{{page.base.}}bios.html#{{site.posts[prev].author.bio}}">{{site.posts[prev].author.bio|capitalize}}</a></p>
  </a>
</div>
<div class="flexitem" style="max-width:240px;">
  <h5>{{site.data.config.brand.name}}'s blog</h5>
  <a href="{{page.base}}blog/"><img src="{{gwurl}}/ipfs/{{site.data.ipfs.qmroot}}/assets/photo-write.webp" title="{{site.data.config.brand.name}}'s blog" alt="blog thumbnail"></a>
  <p>Check out our {{ site.posts.size | minus: 1 }} other <a href="{{page.base}}blog/">articles</a>
  <br>~ by <a href="{{page.base}}bios.html#michel">{{'michel'|capitalize}}</a></p>
</div>
{% if 1 %}
  {% for i in (1 .. 2) %}
  {% assign next = pos | plus: i %}
  {% if next < site.posts.size  %}
<div class="flexitem" style="max-width:240px">
  <h5>article: #{{next}}</h5>
  <a href="{{page.base}}{{site.posts[next].url | remove_first: '/'}}">
    {%- if site.posts[next].preview-img %}
    <img src="{{gwurl}}/ipfs/{{site.data.ipfs.qmroot}}/assets/{{site.posts[next].preview-img}}" title="#{{next}} {{site.posts[next].title}}" alt="thumbnail{{next}}">
    {%- else %}
    <svg>TBD !
    </svg>
    {%- endif %}</a>
    <p><a href="{{page.base}}{{site.posts[next].url | remove_first: '/'}}">
      {{site.posts[next].title | truncate: 42 }}</a>
    <br>~ by <a href="{{page.base}}bios.html#{{site.posts[next].author.bio}}">{{site.posts[next].author.bio|capitalize}}</a></p>
</div>
  {% endif %}
  {% endfor %}
{% endif %}
</div>
</div>

<style>
.flexitem img {
  height: 140px;
  width: 100%;
  object-fit: cover; 
  object-position: 50% 80%;
  overflow: hidden;
}
</style>

